﻿@model IEnumerable<ClientOccupation>
<h2 class="text-navi">Income</h2>
<h3 style="margin-bottom:10px">Employment Info and Retirement Plan</h3>
@if (Model.Count() > 0)
{
    @foreach (var item in Model.OrderBy(m => m.EmploymentOf))
    {
        <div style="border:1px solid #c6c8ca;margin:10px;padding:15px;border-radius:10px">
            <div style="width: 100%; display: table;">
                <div style="display: table-row">
                    <div style="width: 500px; display: table-cell;">
                        <span>Employment Title:</span>
                        <span class="text-ink">@item.EmployerTitle</span>
                    </div>
                    <div style="display: table-cell;">
                        <span>Status:</span>
                        <span class="text-ink">@item.EmploymentStatusString</span>
                    </div>
                </div>
                <div style="display: table-row">
                    @if (item.EmploymentStatus != EmploymentStatusEnum.Retired && item.EmploymentStatus != EmploymentStatusEnum.HomeMaker)
                    {
                        <div style="width: 500px; display: table-cell;">
                            <span>Occupation:</span>
                            <span class="text-ink">@item.Occupation</span>
                        </div>
                    }
                    @if (item.EmploymentStatus != EmploymentStatusEnum.HomeMaker)
                    {
                        <div style="display: table-cell;">
                            <span>Retirement Age:</span>
                            <span class="text-ink">@item.AgeToRetire</span>
                        </div>
                    }
                </div>
            </div>
            @if (item.EmploymentStatus != EmploymentStatusEnum.Retired && item.EmploymentStatus != EmploymentStatusEnum.HomeMaker)
            {
                <div style="display: table-row">
                    <div style="width: 500px; display: table-cell;">
                        <span>Industry:</span>
                        <span class="text-ink">@item.Industry</span>
                    </div>
                    <div style="display: table-cell;">
                        <span>Years to Retirement:</span>
                        <span class="text-ink">@(item.YearsToRetire>0?item.YearsToRetire.ToString():"-")</span>
                    </div>
                </div>
                <div style="display: table-row">
                    <div style="width: 500px; display: table-cell;">
                        <span>Annual Earnings:</span>
                        <span class="text-ink">@string.Format("{0:C0}", item.AnnualEarnings)</span>
                    </div>
                    <div style="display: table-cell;">
                        <span>Employment Type:</span>
                        <span class="text-ink">@item.EmploymentTypesString</span>
                    </div>
                </div>
                <div style="display: table-row">
                    <div style="width: 500px; display: table-cell;">
                        <span>Address: </span>
                        <span class="text-ink">
                            <span style="font-weight:400;" class="text-ink">@item.Address1@(!string.IsNullOrEmpty(item.Address2)?",":"") @item.Address2</span>
                            <span style="font-weight:400;display:block;margin-left:73px" class="text-ink">@item.City, @item.State - @item.Zip</span>
                        </span>
                    </div>
                    <div style="display: table-cell;">
                        <span>My income over 10 years will:</span>
                        <span class="text-ink">@item.TenYearExpectedAnnualIncomeString</span>
                    </div>
                </div>
                @if (item.ClientEsp != null)
                {
                    @if (item.ClientEsp.EmployerOffer?.Length > 0)
                    {
                        <h3 style="margin-bottom:10px">Retirement Plan - @item.ClientEsp.EmployerOfferString</h3>
                        <div style="display: table-row">
                            <div style="width: 500px; display: table-cell;">
                                <span>Current Balance:</span>
                                <span class="text-ink">@string.Format("{0:C0}", item.ClientEsp.EspCurrentBalance)</span>
                            </div>
                            <div style="display: table-cell;">
                                <span>Average Rate Of Return:</span>
                                <span class="text-ink">@(item.ClientEsp.EspAvgRateReturn > 0? $"{item.ClientEsp.EspAvgRateReturn.ToString()}%" :"-")</span>
                            </div>
                        </div>
                        <div style="display: table-row">
                            <div style="width: 500px; display: table-cell;">
                                <span>Annual Contribution:</span>
                                <span class="text-ink">@string.Format("{0:C0}", item.ClientEsp.EspContributionCalculated)</span>
                            </div>
                            @if (!item.ClientEsp.EmployerOffer.Contains(((int)EmployerOfferEnum.SEPIRA).ToString()) && !item.ClientEsp.EmployerOffer.Contains(((int)EmployerOfferEnum.Solo401K).ToString()))
                            {
                                <div style="display: table-cell;">
                                    <span>Annual Employer Match:</span>
                                    <span class="text-ink">@string.Format("{0:C0}", item.ClientEsp.EspEmployerMatchCalculated)</span>
                                </div>
                            }
                        </div>
                    }
                    @if (item.ClientEsp.HasPensionPlan)
                    {
                        <h3 style="margin-bottom:10px">Employer Defined Benefit Pension Plan</h3>
                        <div style="display: table-row">
                            <div style="width: 500px; display: table-cell;">
                                <span>Pension Expected Age:</span>
                                <span class="text-ink">@item.ClientEsp.PensionExpectedAge</span>
                            </div>
                            <div style="display: table-cell;">
                                <span>Expected Monthly Benefit:</span>
                                <span class="text-ink">@string.Format("{0:C0}", item.ClientEsp.PensionBenefit)</span>
                            </div>
                        </div>
                        <div style="display: table-row">
                            <div style="width: 500px; display: table-cell;">
                                <span>Survivor Benefit:</span>
                                <span class="text-ink">@(item.ClientEsp.PensionSurvivorBenefit > 0? $"{item.ClientEsp.PensionSurvivorBenefit.ToString()}%" :"-")</span>
                            </div>
                        </div>
                    }
                }
            }
        </div>
    }
}
else
{
    <div class="text-na">N/A</div>
}
<hr style="border-top: 1px solid #23588d;margin-top:30px" />